/* LICENSE BLOCK
Part of mde: a Modular D game-oriented Engine
Copyright © 2007-2008 Diggory Hardy

This program is free software; you can redistribute it and/or modify it under the terms of
the GNU General Public License, version 2, as published by the Free Software Foundation.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along
with this program; if not, write to the Free Software Foundation, Inc.,
51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA. */

module mde.input.exception;

public import mde.exception;

/// Base Input exception class.
class inputException : mdeException {
    static const char[] symbol;
    static this () {	symbol = super.symbol ~ ".input";	}
    char[] getSymbol () {
        return symbol;
    }
    
    this (char[] msg) {
        super(msg);
    }
    this () {}
}

class InputClassException : inputException {
    static const char[] symbol;
    static this () {	symbol = super.symbol ~ ".input.Input";	}
    char[] getSymbol () {
        return symbol;
    }
    
    this (char[] msg) {
        super(msg);
    }
    this () {}
}

class ConfigLoadException : inputException {
    static const char[] symbol;
    static this () {	symbol = super.symbol ~ ".config.Config";	}
    char[] getSymbol () {
        return symbol;
    }
    
    this (char[] msg) {
        super(msg);
    }
    this () {}
}
